Name:       geda-symbols
Version:    20070216
Release:    1%{?dist}
Summary:    Electronic symbols for gEDA

Group:      Applications/Engineering
License:    GPL
URL:        http://www.geda.seul.org

Source:     ftp://ftp.geda.seul.org/pub/geda/devel/%{version}/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

%description
This package contains a bunch of symbols of electronic devices
used by gschem, the gEDA project schematic editor.

%prep
%setup -q

%build
%configure --with-docdir=%{_datadir}/gEDA/docs

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

%{__rm} %{buildroot}%{_datadir}/gEDA/sym/vhdl/script.sed
%{__rm} %{buildroot}%{_datadir}/gEDA/sym/vhdl/verilog2vhdl.sh

# Required by geda-gschem geda-gsymcheck geda-doc geda-gattrib geda-gnetlist geda-utils
%{__mkdir} -p %{buildroot}%{_datadir}/gEDA/bitmap
%{__install} -d %{buildroot}%{_datadir}/gEDA/docs/man
%{__mkdir} -p %{buildroot}%{_datadir}/gEDA/examples
%{__mkdir} -p %{buildroot}%{_datadir}/gEDA/scheme
%{__mkdir} -p %{buildroot}%{_datadir}/gEDA/docs/readmes

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/readmes
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA

%files
%defattr(-,root,root,-)
%dir %{_datadir}/gEDA
%dir %{_datadir}/gEDA/bitmap
%dir %{_datadir}/gEDA/docs
%dir %{_datadir}/gEDA/docs/man
%dir %{_datadir}/gEDA/examples
%dir %{_datadir}/gEDA/scheme
%dir %{_datadir}/gEDA/docs/readmes
%doc AUTHORS ChangeLog COPYING README
%{_datadir}/gEDA/sym/
%{_datadir}/gEDA/docs/nc.pdf
%{_datadir}/gEDA/system-gafrc

%Changelog
* Mon Mar 12 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-2
- ownership of directory %%{_datadir}/gEDA/docs/readmes/

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- Owning the %{_datadir}/gEDA/bitmap directory

* Tue Aug 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Timestamp make install

* Sun Aug 27 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9
- doc directory now geda-docs-%{version}
- switcap irectory added

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- doc directory moved

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, built on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- added 'bus', 'diode', 'ecl', 'opto', 'power', 'relay',
  'transistor', 'vhdl' and 'winfonts' categories
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Tue Oct 17 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20001006

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added 'national' and 'supervisor' categories
- updated to version 20000704

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
